Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.security
Interface ExcludedPatternsChecker

All Known Implementing Classes:
  DefaultExcludedPatternsChecker

    public interface ExcludedPatternsChecker

Used across different interceptors to check if given string matches one of the excluded patterns.

Nested Class Summary
`static class` | `ExcludedPatternsChecker.IsExcluded`

Method Summary
`Set<Pattern>` | `getExcludedPatterns()` Allow access list of all defined excluded patterns
`ExcludedPatternsChecker.IsExcluded` | `isExcluded(String value)` Checks if value matches any of patterns on exclude list
`void` | `setExcludedPatterns(Set<String> patterns)` Sets excluded patterns during runtime
`void` | `setExcludedPatterns(String commaDelimitedPatterns)` Sets excluded patterns during runtime
`void` | `setExcludedPatterns(String[] patterns)` Sets excluded patterns during runtime

Method Detail

### isExcluded

    ExcludedPatternsChecker.IsExcluded isExcluded(String value)

  Checks if value matches any of patterns on exclude list

  Parameters:
    `value` - to check
  Returns:
    object containing result of matched pattern and pattern itself

### setExcludedPatterns

    void setExcludedPatterns(String commaDelimitedPatterns)

  Sets excluded patterns during runtime

  Parameters:
    `commaDelimitedPatterns` - comma delimited string with patterns

### setExcludedPatterns

    void setExcludedPatterns(String[] patterns)

  Sets excluded patterns during runtime

  Parameters:
    `patterns` - array of additional excluded patterns

### setExcludedPatterns

    void setExcludedPatterns(Set<String> patterns)

  Sets excluded patterns during runtime

  Parameters:
    `patterns` - set of additional patterns

### getExcludedPatterns

    Set<Pattern> getExcludedPatterns()

  Allow access list of all defined excluded patterns

  Returns:
    set of excluded patterns

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.